---
title: "Webhooks Model"
description: "A webhook stores an event hook, destination url, optional delay, headers, and query parameters."
canonical: https://docs.ordering.co/api-reference/guides/webhooks-model/
---

# Webhooks Model

A webhook stores an event `hook`, destination `url`, optional delay, headers, and query parameters. Webhook operations are described separately; this model summary covers fields only. Header values may be sensitive and must not appear in examples.

## Schema properties

**Schema:** `Webhook`

| Name                 | Type                    | Description |
| -------------------- | ----------------------- | ----------- |
| `delay`              | any                     | —           |
| `disabled_reason`    | any                     | —           |
| `disabled_until`     | string \| null          | —           |
| `external_id`        | integer \| null         | —           |
| `external_id_source` | any                     | —           |
| `headers`            | any                     | —           |
| `hook`               | any                     | —           |
| `id`                 | integer \| null         | —           |
| `query_params`       | object \| array \| null | —           |
| `retry_on_fail`      | any                     | —           |
| `transformer`        | object \| null          | —           |
| `url`                | any                     | —           |
